com.ibm.openpages.api.questionnaire

## Class LaunchProgramOptions

- java.lang.Object
- - com.ibm.openpages.api.questionnaire.LaunchProgramOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class LaunchProgramOptions
      extends java.lang.Object
      implements java.io.Serializable

  Option class for the launch program process, see `IQuestionnaireService.launchProgram(com.ibm.openpages.api.metadata.Id, LaunchProgramOptions)`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LaunchProgramOptions.EmailOption` Enum for email option

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchProgramOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCopyFromProgramId()`
    `LaunchProgramOptions.EmailOption` | `getEmailOption()`
    `java.lang.String` | `getProgramName()`
    `java.lang.String` | `getQuestionnaireAssessmentTypeName()`
    `java.lang.String` | `getQuestionnaireTemplateTypeName()`
    `boolean` | `isAddCopiedFromComment()`
    `boolean` | `isCopyQuestionAttachments()`
    `boolean` | `isCopyQuestionComments()`
    `void` | `setAddCopiedFromComment(boolean addCopiedFromComment)` Sets if add copied from comment
    `void` | `setCopyFromProgramId(java.lang.String copyFromProgramId)` Sets the copy from program Id
    `void` | `setCopyQuestionAttachments(boolean copyQuestionAttachments)` Sets if copy question attachments
    `void` | `setCopyQuestionComments(boolean copyQuestionComments)` Sets if copy question comments
    `void` | `setEmailOption(LaunchProgramOptions.EmailOption emailOption)` Sets the email option.
    `void` | `setProgramName(java.lang.String programName)` Sets the name of the Program object (used for UI-accessible process logs)
    `void` | `setQuestionnaireAssessmentTypeName(java.lang.String questionnaireAssessmentTypeName)` Sets type definition name of the questionnaire assessment.
    `void` | `setQuestionnaireTemplateTypeName(java.lang.String questionnaireTemplateTypeName)` Sets type definition name of the questionnaire template.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LaunchProgramOptions

          public LaunchProgramOptions()

  - ### Method Detail

    - #### getQuestionnaireTemplateTypeName

          public java.lang.String getQuestionnaireTemplateTypeName()

      Returns:
        type definition name of the questionnaire template

    - #### setQuestionnaireTemplateTypeName

          public void setQuestionnaireTemplateTypeName(java.lang.String questionnaireTemplateTypeName)

      Sets type definition name of the questionnaire template. In case you want to configure your own template object, this set method can be called.

    - #### getQuestionnaireAssessmentTypeName

          public java.lang.String getQuestionnaireAssessmentTypeName()

      Returns:
        type definition name of the questionnaire assessment

    - #### setQuestionnaireAssessmentTypeName

          public void setQuestionnaireAssessmentTypeName(java.lang.String questionnaireAssessmentTypeName)

      Sets type definition name of the questionnaire assessment. In case you want to configure your own assessment object, this set method can be called.

    - #### getEmailOption

          public LaunchProgramOptions.EmailOption getEmailOption()

      Returns:
        email option

    - #### setEmailOption

          public void setEmailOption(LaunchProgramOptions.EmailOption emailOption)

      Sets the email option.
      Parameters:
        `emailOption` -

    - #### getCopyFromProgramId

          public java.lang.String getCopyFromProgramId()

      Returns:
        copy from Program Id

    - #### setCopyFromProgramId

          public void setCopyFromProgramId(java.lang.String copyFromProgramId)

      Sets the copy from program Id
      Parameters:
        `copyFromProgramId` -

    - #### isCopyQuestionComments

          public boolean isCopyQuestionComments()

      Returns:
        if copy question comments

    - #### setCopyQuestionComments

          public void setCopyQuestionComments(boolean copyQuestionComments)

      Sets if copy question comments
      Parameters:
        `copyQuestionComments` -

    - #### isCopyQuestionAttachments

          public boolean isCopyQuestionAttachments()

      Returns:
        if copy question attachments

    - #### setCopyQuestionAttachments

          public void setCopyQuestionAttachments(boolean copyQuestionAttachments)

      Sets if copy question attachments
      Parameters:
        `copyQuestionAttachments` -

    - #### isAddCopiedFromComment

          public boolean isAddCopiedFromComment()

      Returns:
        if add copied from comment

    - #### setAddCopiedFromComment

          public void setAddCopiedFromComment(boolean addCopiedFromComment)

      Sets if add copied from comment
      Parameters:
        `addCopiedFromComment` -

    - #### getProgramName

          public java.lang.String getProgramName()

      Returns:
        the name of the Program object (used for UI-accessible process logs)
      Since:
        8.3

    - #### setProgramName

          public void setProgramName(java.lang.String programName)

      Sets the name of the Program object (used for UI-accessible process logs)
      Parameters:
        `programName` -
      Since:
        8.3

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.